<div class="container">

  <h1>{{"Transactions" | translate }}</h1>


  <form>

    <div class="form-group row">
      <label class="col-sm-2 col-form-label">{{"Current credit" | translate}}</label>
      <label class="col-sm-2 col-form-label">{{userService.loggedInUser.credit|currency:'CHF '}}</label>
      <button type="button" label="{{'Credit account'|translate}}" (click)="creditAccount()" pButton></button>
    </div>
  </form>


  <h2>{{"Liste des transactions" | translate }}</h2>

  <p-table [value]="transactions">
    <ng-template pTemplate="header">
      <tr>
        <th translate [pSortableColumn]="'amount'">{{'Amount'}}</th>
        <th translate [pSortableColumn]="'timestamp'">{{'Date'}}</th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-transaction>
      <tr>
        <td>
          {{transaction.amount |currency:'CHF '}}
        </td>
        <td>
          {{transaction.timestamp | date: 'dd.MM.yy HH:mm'}}
        </td>
      </tr>
    </ng-template>
  </p-table>
</div>